Package csb :: Package core :: Class EnumItem

[frames] | no frames]

# Class EnumItem

source code

    object --+
             |
            EnumItem

Instance Methods

__copy__(self) | source code

__deepcopy__(self, memo) | source code

__eq__(self, other) | source code

__float__(self) | source code

__hash__(self) hash(x) | source code

__init__(self, name, value, enum) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__int__(self) | source code

__lt__(self, other) | source code

__ne__(self, other) | source code

__reduce__(self) helper for pickle | source code

__repr__(self) repr(x) | source code

__str__(self) str(x) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__new__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| enum
| name
| value
Inherited from `object`: `__class__`

Method Details

### __hash__(self)
(Hashing function)

source code

hash(x)

Overrides: object.__hash__
  (inherited documentation)

### __init__(self, name, value, enum)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __reduce__(self)

source code

helper for pickle

Overrides: object.__reduce__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

Property Details

### enum

Get Method:
  unreachable.enum(self)

### name

Get Method:
  unreachable.name(self)

### value

Get Method:
  unreachable.value(self)